commit:     8b7904854389d45e7fbb7469d388a7c32c631b83
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 25 09:19:31 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug 25 09:49:24 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b790485

dev-python/sphinxcontrib-bibtex: Bump to 2.6.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/Manifest           |  1 +
 .../sphinxcontrib-bibtex-2.6.0.ebuild              | 52 ++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/sphinxcontrib-bibtex/Manifest 
b/dev-python/sphinxcontrib-bibtex/Manifest
index e6f67c4f309b..ab0ed8ab1dd8 100644
--- a/dev-python/sphinxcontrib-bibtex/Manifest
+++ b/dev-python/sphinxcontrib-bibtex/Manifest
@@ -1 +1,2 @@
 DIST sphinxcontrib-bibtex-2.5.0.tar.gz 113310 BLAKE2B 
5bd39fccf33897bbbf8359a09f07a6e7146d4fb3c1ccb63ad96d3980cc4a256e0b9b37bbf6ceadf65eb01937741934e1f30841587eb6246b50774c81e8428998
 SHA512 
c99b4bf8cbc73e94e7e4486b4cb58de0dc928079b320ee7d7a473ee27b7f1e349a4765a30059aadc3fb0c6161940c6f2eaf7afdf5ac1c64ba73ed80fba5b5e45
+DIST sphinxcontrib-bibtex-2.6.0.tar.gz 116668 BLAKE2B 
e7ad397bccf362717f95df7a563838005b626b59a49e9b07933deed47061fd56fdd291c2d8f2848821d43f132720507bcf5664afb7c62b9c8ca8745b131ba6f9
 SHA512 
779948e228890d57e26f0b450a6b6b0f7311142bfe65636ca86f42610ae9a3713cee8a4b6f58dc4e12cebd2a87dd309685fb29fbd0dbdbad14f993cb241bf1d6

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.0.ebuild 
b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.0.ebuild
new file mode 100644
index 000000000000..ea7f29444e5b
--- /dev/null
+++ b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Sphinx extensions for BibTeX style citations"
+HOMEPAGE="
+       https://github.com/mcmtroffaes/sphinxcontrib-bibtex/
+       https://pypi.org/project/sphinxcontrib-bibtex/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       >=dev-python/docutils-0.8[${PYTHON_USEDEP}]
+       >=dev-python/importlib-metadata-3.6[${PYTHON_USEDEP}]
+       >=dev-python/pybtex-0.24[${PYTHON_USEDEP}]
+       >=dev-python/pybtex-docutils-1.0.0[${PYTHON_USEDEP}]
+       >=dev-python/sphinx-3.5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/numpydoc[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_DESELECT=(
+       # rinoh not packaged
+       test/test_citation_rinoh.py::test_citation_rinoh
+       test/test_citation_rinoh.py::test_citation_rinoh_multidoc
+)
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc
+
+python_compile() {
+       distutils-r1_python_compile
+       find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+       distutils_write_namespace sphinxcontrib
+       epytest
+}

Reply via email to